## kdevelop 5.1.2

=== analyzers/cppcheck/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevcppcheck\")

find_package(Cppcheck QUIET)
set_package_properties(Cppcheck PROPERTIES
    DESCRIPTION "A tool for static C/C++ code analysis"
    URL "http://cppcheck.sourceforge.net/"
    PURPOSE "Recommended: required by the non-essential Cppcheck plugin"
    TYPE RUNTIME
)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(kdevcppcheck_SRCS
    plugin.cpp

    config/globalconfigpage.cpp
    config/projectconfigpage.cpp
)
ki18n_wrap_ui(kdevcppcheck_UI_SRCS
    config/globalconfigpage.ui
    config/projectconfigpage.ui
)
kconfig_add_kcfg_files(kdevcppcheck_CONFIG_SRCS
    config/globalsettings.kcfgc
    config/projectsettings.kcfgc
)
add_library(kdevcppcheck_core STATIC
    debug.cpp
    parser.cpp
    job.cpp
    parameters.cpp

    ${kdevcppcheck_CONFIG_SRCS}
)
target_link_libraries(kdevcppcheck_core
    KDev::Language
    KDev::Project
    KDev::Shell
)
kdevplatform_add_plugin(kdevcppcheck
    JSON kdevcppcheck.json
    SOURCES ${kdevcppcheck_SRCS} ${kdevcppcheck_UI_SRCS}
)
target_link_libraries(kdevcppcheck
    kdevcppcheck_core
    KF5::ItemViews
)
install(FILES kdevcppcheck.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdevcppcheck)

ecm_install_icons(ICONS icons/128-apps-cppcheck.png
                  DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== languages/qmljs/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/libs
    ${KDevelop_SOURCE_DIR}/languages/plugins
)

add_definitions(-DQT_CREATOR) # :D
add_definitions(-DQML_BUILD_STATIC_LIB=1)

add_subdirectory(libs)
add_subdirectory(duchain)
add_subdirectory(nodejsmodules)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()
add_subdirectory(codecompletion)

kdevplatform_add_plugin(kdevqmljslanguagesupport JSON kdevqmljs.json SOURCES
    qmljsparsejob.cpp
    qmljshighlighting.cpp
    kdevqmljsplugin.cpp
    debug.cpp
    navigation/propertypreviewwidget.cpp
)
target_link_libraries(kdevqmljslanguagesupport
    kdevqmljsduchain
    kdevqmljscompletion
    Qt5::Widgets
    Qt5::QuickWidgets
    KF5::Declarative
)

install(DIRECTORY navigation/propertywidgets DESTINATION ${DATA_INSTALL_DIR}/kdevqmljssupport)

=== projectmanagers/custom-buildsystem/CMakeLists.txt ===
project(kdevelop4-custom-buildsystem)
add_definitions(-DTRANSLATION_DOMAIN=\"kdevcustombuildsystem\")
## Unittests
if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

## KDevelop Plugin
set(custom_SRCS
    custombuildsystemconfig.cpp
    custombuildsystemplugin.cpp
    custombuildjob.cpp
    configwidget.cpp
    custombuildsystemconfigwidget.cpp
    kcm_custombuildsystem.cpp
    debugarea.cpp
)
ki18n_wrap_ui(custom_SRCS configwidget.ui custombuildsystemconfigwidget.ui)
kconfig_add_kcfg_files(custom_SRCS kcfg_custombuildsystemconfig.kcfgc )

kdevplatform_add_plugin(kdevcustombuildsystem JSON kdevcustombuildsystem.json SOURCES ${custom_SRCS})
target_link_libraries(kdevcustombuildsystem
      KDev::Project
      KDev::Interfaces
      KDev::Util
      KDev::OutputView
)

=== projectmanagers/qmake/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevqmakemanager\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(parser)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(qmakecommon_SRCS
    debug.cpp
    qmakebuilddirchooser.cpp
    qmakebuilddirchooserdialog.cpp
    qmakecache.cpp
    qmakeconfig.cpp
    qmakefile.cpp
    qmakefilevisitor.cpp
    qmakeincludefile.cpp
    qmakemkspecs.cpp
    qmakeprojectfile.cpp
    qmakeutils.cpp
    variablereferenceparser.cpp
)
ki18n_wrap_ui(qmakecommon_SRCS qmakebuilddirchooser.ui)
add_library(kdevqmakecommon STATIC ${qmakecommon_SRCS})
target_link_libraries(kdevqmakecommon
    KDev::Interfaces KDev::Project KDev::Util
    kdevqmakeparser)

set(kdevqmakemanager_PART_SRCS
    qmakemanager.cpp
    qmakemodelitems.cpp
    qmakejob.cpp
)
kdevplatform_add_plugin(kdevqmakemanager JSON kdevqmakemanager.json SOURCES ${kdevqmakemanager_PART_SRCS})
target_link_libraries(kdevqmakemanager
    KDev::Interfaces
    KDev::Project
    KDev::Util
    KDev::OutputView
    KDev::Serialization
    kdevqmakecommon
    kdevqmakeparser)

=== debuggers/gdb/printers/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

install( FILES helper.py qt.py kde.py gdbinit
    DESTINATION ${KDE_INSTALL_DATADIR}/kdevgdb/printers )

=== languages/plugins/custom-definesandincludes/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdevcustomdefinesandincludes\")

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()
add_subdirectory(compilerprovider)
add_subdirectory(noprojectincludesanddefines)

set( kdevdefinesandincludesmanager_SRCS
        definesandincludesmanager.cpp
        debugarea.cpp
        kcm_widget/projectpathsmodel.cpp
        kcm_widget/definesmodel.cpp
        kcm_widget/includesmodel.cpp
        kcm_widget/includeswidget.cpp
        kcm_widget/defineswidget.cpp
        kcm_widget/projectpathswidget.cpp
        kcm_widget/definesandincludesconfigpage.cpp
        kcm_widget/parserwidget.cpp
        compilerprovider/icompiler.cpp # TODO: is this really necessary
    )

ki18n_wrap_ui(kdevdefinesandincludesmanager_SRCS
    kcm_widget/batchedit.ui
    kcm_widget/includeswidget.ui
    kcm_widget/defineswidget.ui
    kcm_widget/projectpathswidget.ui
    kcm_widget/parserwidget.ui
)
kconfig_add_kcfg_files( kdevdefinesandincludesmanager_SRCS kcm_widget/customdefinesandincludes.kcfgc)

kdevplatform_add_plugin(kdevdefinesandincludesmanager JSON kdevdefinesandincludesmanager.json SOURCES ${kdevdefinesandincludesmanager_SRCS})
target_link_libraries( kdevdefinesandincludesmanager LINK_PRIVATE
        KDev::Project
        KDev::Util
        KDev::Language
        kdevnoprojectincludesanddefines
        kdevcompilerprovider)

option(BUILD_kdev_includepathsconverter "Build utility to modify include paths of a project from command line." ON)
if(BUILD_kdev_includepathsconverter)
    add_executable(kdev_includepathsconverter includepathsconverter.cpp)
    ecm_mark_nongui_executable(kdev_includepathsconverter)
    target_link_libraries(kdev_includepathsconverter LINK_PRIVATE
        KDev::Project
        kdevcompilerprovider
    )
    install(TARGETS kdev_includepathsconverter ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif()

install(FILES
    idefinesandincludesmanager.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kdevelop/custom-definesandincludes COMPONENT Devel
)

add_library(kdevdefinesandincludesmanager_interface INTERFACE)
add_library(KDev::DefinesAndIncludesManager ALIAS kdevdefinesandincludesmanager_interface)
target_include_directories(kdevdefinesandincludesmanager_interface INTERFACE
     "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../>"
     "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/kdevelop>"
)
set_target_properties(kdevdefinesandincludesmanager_interface PROPERTIES
    EXPORT_NAME DefinesAndIncludesManager
)
install(TARGETS kdevdefinesandincludesmanager_interface EXPORT KDevelopTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== languages/qmljs/codecompletion/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(completion_SRCS
    items/completionitem.cpp
    items/modulecompletionitem.cpp
    items/functioncalltipcompletionitem.cpp

    context.cpp
    model.cpp
    worker.cpp
    ../libs/qmljs/parser/qmljsgrammar.cpp
)

add_library(kdevqmljscompletion STATIC ${completion_SRCS})

generate_export_header(kdevqmljscompletion EXPORT_MACRO_NAME KDEVQMLJSCOMPLETION_EXPORT
                                           EXPORT_FILE_NAME codecompletionexport.h)

target_link_libraries(kdevqmljscompletion LINK_PRIVATE
    KDev::Language
    KDev::Interfaces
    KDev::Project
    kdevqmljsduchain
    kdevqtc-qmlsupport
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== projectmanagers/cmake/tests/CMakeLists.txt ===
include_directories(
    ${KDevelop_SOURCE_DIR}/projectmanagers/cmake
    ${KDevelop_SOURCE_DIR}/projectmanagers/cmake/parser
)

configure_file("paths.h.cmake" "cmake-test-paths.h" ESCAPE_QUOTES)

macro(kdevcmake_add_test testname)
    ecm_add_test(${testname}.cpp
        LINK_LIBRARIES Qt5::Test Qt5::Core KDev::Interfaces kdevcmakecommon ${ARGN})
endmacro(kdevcmake_add_test)

# kdevcmake_add_test(cmakeparsertest)
# kdevcmake_add_test(cmakeastfactorytest)
# kdevcmake_add_test(cmakeasttest)
# kdevcmake_add_test(generationexpressionsolvertest)
# kdevcmake_add_test(cmakecompliance KDev::Tests KDev::Language)
# kdevcmake_add_test(cmakeconditiontest KDev::Language KF5::TextEditor)
# kdevcmake_add_test(cmakeduchaintest KDev::Language KF5::TextEditor KDev::Tests)
# kdevcmake_add_test(cmakeprojectvisitortest KDev::Language KF5::TextEditor  KDev::Tests)
# kdevcmake_add_test(cmakeparserutilstest KF5::TextEditor)
# kdevcmake_add_test(cmakeloadprojecttest KDev::Language KDev::Tests)
kdevcmake_add_test(test_cmakemanager KDev::Language KDev::Tests KDev::Project kdevcmakemanagernosettings)
kdevcmake_add_test(test_ctestfindsuites KDev::Language KDev::Tests)

# this is not a unit test but a testing tool, kept here for convenience
add_executable(kdevprojectopen kdevprojectopen.cpp)
target_link_libraries(kdevprojectopen Qt5::Test KDev::Project KDev::Tests kdevcmakecommon)

=== projectmanagers/custommake/makefileresolver/CMakeLists.txt ===
set(makefileresolver_SRCS
    makefileresolver.cpp
    helper.cpp
)

add_library(kdevmakefileresolver STATIC
    ${makefileresolver_SRCS}
)
target_link_libraries(kdevmakefileresolver
  KDev::Interfaces KDev::Project
  Qt5::Core Qt5::Gui KDev::Language
)
set_target_properties(kdevmakefileresolver PROPERTIES POSITION_INDEPENDENT_CODE ON)

option(BUILD_kdev_makefileresolver "Build the makefile resolver debugging tool" OFF)
if(BUILD_kdev_makefileresolver)
    add_executable(kdev_makefileresolver makefileresolver.cpp)
    set_target_properties( kdev_makefileresolver PROPERTIES COMPILE_FLAGS -DTEST )
    target_link_libraries(kdev_makefileresolver kdevmakefileresolver)

    install(TARGETS kdev_makefileresolver ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif()

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== projectmanagers/qmake/parser/CMakeLists.txt ===
set(kdevqmakeparser_SRCS
    qmakeast.cpp
    qmakedriver.cpp
    qmakedebugvisitor.cpp
    buildastvisitor.cpp
    qmakelexer.cpp
    qmakeastvisitor.cpp
    qmakeastdefaultvisitor.cpp
    )

kdevpgqt_generate(parser_GEN_SRCS qmake NAMESPACE QMake DUMP_INFO
    "${CMAKE_CURRENT_SOURCE_DIR}/qmake.g"
    "${CMAKE_CURRENT_SOURCE_DIR}/qmakelexer.h")

include_directories(
    ${KDEVPGQT_INCLUDE_DIR} )

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

option(BUILD_qmake_parser "Build the qmake-parser debugging tool" OFF)
if(BUILD_qmake_parser)
  add_executable(qmake-parser ../debug.cpp main.cpp)
  target_link_libraries(qmake-parser kdevqmakeparser KF5::CoreAddons Qt5::Core)
  install(TARGETS qmake-parser ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

add_library(kdevqmakeparser STATIC ${kdevqmakeparser_SRCS} ${parser_GEN_SRCS})
generate_export_header(kdevqmakeparser BASE_NAME parser EXPORT_MACRO_NAME KDEVQMAKEPARSER_EXPORT)
target_link_libraries(kdevqmakeparser
LINK_PUBLIC
    KDev::Util
LINK_PRIVATE
    KF5::CoreAddons
    KF5::KIOCore
)
target_include_directories(kdevqmakeparser PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== projectmanagers/cmake/tests/manual/unit_tests/five/CMakeLists.txt ===
add_test(test_five four_test 5)

=== debian/changelog ===
kdevelop (4:5.1.2-1ubuntu1) artful; urgency=medium

  * Sync with debian changes. Remaining changes:
    - Keep autotests
    - Revert the versioned clang dep - We don't have the mesa/llvm-default
      mismatch in ubuntu that caused debian bug #846410, so this only
      causes potential problems for us (LP: #1677140)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 30 Aug 2017 07:44:40 +0100

kdevelop (4:5.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Bump the kdevplatform-dev build & runtime dependencies to 5.1.2, as
    indicated by the upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Aug 2017 21:11:16 +0200 

kdevelop (4:5.1.2-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release (5.1.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 30 Aug 2017 00:04:50 +0100

kdevelop (4:5.1.1-1ubuntu1) artful; urgency=medium

  * Merge with debian. Remaining changes;
    - Add autotests
    - Revert the versioned clang dep - We don't have the mesa/llvm-default
      mismatch in ubuntu that caused debian bug #846410, so this only
      causes potential problems for us (LP: #1677140)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 06 Jul 2017 20:42:07 +0100

kdevelop (4:5.1.1-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make kdevelop depend upon kinit, it's required to get KIO support
    (Closes: #851701). Thanks George Kiagiadakis for the bug report.
  * Update packages descriptions to the more precise ones used by upstream.
    Thanks frinring for the tip!

  [ Pino Toscano ]
  * New upstream release.
  * Bump the kdevplatform-dev build & runtime dependencies to 5.1.1, as
    indicated by the upstream build system.
  * Update install files.
  * Bump Standards-Version to 4.0.0, no changes required.
  * Suggest cppcheck, as optional runtime tool.
  * Do not install the upstream README anymore.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Jul 2017 12:04:11 +0200

kdevelop (4:5.1.1-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.1)
  * debian/control: Add cppcheck to suggests

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 27 May 2017 14:31:59 +0100

kdevelop (4:5.1.0-0ubuntu2) artful; urgency=medium

  * Rebuild against new llvm versioned symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 May 2017 22:35:30 +0200

kdevelop (4:5.1.0-0ubuntu1) artful; urgency=medium

  * Bump private lib versions and paths, including corresponding lintian
    overrides.
  * Install LLDB plugin data formatters.
  * New upstream release (5.1.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 22 Apr 2017 22:36:06 +0100

=== debian/control ===
Source: kdevelop
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.9),
               kdevelop-pg-qt (>= 2.0),
               kdevplatform-dev (>= 5.1.2),
               libclang-dev,
               libkf5config-dev (>= 5.15.0),
               libkf5crash-dev (>= 5.15.0),
               libkf5declarative-dev (>= 5.15.0),
               libkf5doctools-dev (>= 5.15.0),
               libkf5i18n-dev (>= 5.15.0),
               libkf5iconthemes-dev (>= 5.15.0),
               libkf5itemmodels-dev (>= 5.15.0),
               libkf5itemviews-dev (>= 5.15.0),
               libkf5jobwidgets-dev (>= 5.15.0),
               libkf5kcmutils-dev (>= 5.15.0),
               libkf5kio-dev (>= 5.15.0),
               libkf5newstuff-dev (>= 5.15.0),
               libkf5notifyconfig-dev (>= 5.15.0),
               libkf5parts-dev (>= 5.15.0),
               libkf5plasma-dev [linux-any],
               libkf5runner-dev [linux-any],
               libkf5service-dev (>= 5.15.0),
               libkf5sysguard-dev,
               libkf5texteditor-dev (>= 5.15.0),
               libkf5threadweaver-dev (>= 5.15.0),
               libkf5windowsystem-dev (>= 5.15.0),
               libkf5xmlgui-dev (>= 5.15.0),
               libqt5webkit5-dev (>= 5.4.0),
               llvm-dev,
               okteta-dev (>= 4:16.08.0-1~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0),
               qtdeclarative5-dev (>= 5.4.0),
               qttools5-dev,
               qttools5-dev-tools,
               shared-mime-info
XS-Testsuite: autopkgtest
Standards-Version: 4.1.0
Homepage: http://www.kdevelop.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop

Package: kdevelop
Architecture: any
Depends: kdevelop-data (>= ${source:Version}),
         kinit,
         plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, kio-extras, make
Suggests: cmake, cppcheck, kdevelop-l10n, ninja-build
Description: integrated development environment for C/C++ and other languages
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 KDevelop has parser backends for C, C++ and Javascript/QML, with further
 external plugins supporting e.g. PHP or Python.

Package: kdevelop-data
Architecture: all
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends}
Breaks: kdevelop-doc (<< 4:4.3)
Replaces: kdevelop-doc (<< 4:4.3)
Description: data files for the KDevelop IDE
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains arch independent data for KDevelop.

Package: kdevelop-dev
Section: libdevel
Architecture: any
Depends: kdevelop (= ${binary:Version}),
         kdevplatform-dev (>= 5.1.2),
         ${misc:Depends}
Description: development files for the KDevelop IDE
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains development files for KDevelop.

Package: kdevelop-l10n
Section: localization
Architecture: all
Depends: kdevplatform-l10n, ${misc:Depends}
Replaces: kdevelop-l10n-ca,
          kdevelop-l10n-cavalencia,
          kdevelop-l10n-da,
          kdevelop-l10n-de,
          kdevelop-l10n-engb,
          kdevelop-l10n-es,
          kdevelop-l10n-et,
          kdevelop-l10n-fi,
          kdevelop-l10n-fr,
          kdevelop-l10n-gl,
          kdevelop-l10n-it,
          kdevelop-l10n-nds,
          kdevelop-l10n-nl,
          kdevelop-l10n-pt,
          kdevelop-l10n-ptbr,
          kdevelop-l10n-ru,
          kdevelop-l10n-sl,
          kdevelop-l10n-sv,
          kdevelop-l10n-th,
          kdevelop-l10n-tr,
          kdevelop-l10n-uk,
          kdevelop-l10n-zhcn,
          kdevelop-l10n-zhtw
Breaks: kdevelop-l10n-ca,
        kdevelop-l10n-cavalencia,
        kdevelop-l10n-da,
        kdevelop-l10n-de,
        kdevelop-l10n-engb,
        kdevelop-l10n-es,
        kdevelop-l10n-et,
        kdevelop-l10n-fi,
        kdevelop-l10n-fr,
        kdevelop-l10n-gl,
        kdevelop-l10n-it,
        kdevelop-l10n-nds,
        kdevelop-l10n-nl,
        kdevelop-l10n-pt,
        kdevelop-l10n-ptbr,
        kdevelop-l10n-ru,
        kdevelop-l10n-sl,
        kdevelop-l10n-sv,
        kdevelop-l10n-th,
        kdevelop-l10n-tr,
        kdevelop-l10n-uk,
        kdevelop-l10n-zhcn,
        kdevelop-l10n-zhtw
Recommends: kdevplatform-l10n
Description: localization files for the KDevelop IDE
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains the translations for KDevelop.

Package: plasma-kdevelop
Architecture: linux-any
Depends: kdevelop (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: KDevelop plugins for Plasma
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains the KDevelop plugins for integrating in the Plasma
 desktop environment:
  * sessions data engine
  * sessions widget
  * sessions KRunner module
